Summary: HOWTO documents from the Linux Documentation Project.
Name: howto
%define DATE 990920
Version: 6.1
Release: 1
Group: Documentation
Source0: howto-%{DATE}.tar.bz2
Url: ftp://sunsite.unc.edu/pub/Linux/docs/HOWTO
Source1: ftp://sunsite.unc.edu/pub/Linux/docs/HOWTO/INDEX.html
Source2: HOWTO-russian.tar.bz2
Copyright: distributable
BuildRoot: /var/tmp/howto-root
BuildArchitectures: noarch
Obsoletes: ldp

%description
Linux HOWTOs are detailed documents which describe a specific aspect of 
configuring or using Linux.  Linux HOWTOs are a great source of
practical information about your system.  The latest versions of these
documents are located at http://sunsite.unc.edu/linux.

Install the howto package if you'd like to be able to access the Linux
HOWTO documentation from your own system.

%package html
Summary: HTML versions of the Linux HOWTO documents.
Group: Documentation
%description html
This package contains the Linux HOWTO documents in HTML format,
so they can be viewed with a web browser.  Linux HOWTOs are detailed
documents which describe a specific aspect of configuring or using Linux.

Install the howto-html package if you'd like to view the Linux HOWTOs with
your web browser off your own machine, or if you'd like to provide the
HTML HOWTOs from your web server.

%package sgml
Summary: The Linux HOWTO documents in SGML format.
Group: Documentation
%description sgml
The howto-sgml package contains the Linux HOWTO documents in SGML format.
The SGML format documents are the ``source'' files.  Other file formats
(text, PostScript(TM), DVI, HTML) are translated from the SGML documents.
Linux HOWTOs are detailed documents which describe a specific aspect of
configuring or using Linux.

Install the howto-sgml package if you'd like to use the Linux HOWTO
documents in SGML format.

%package german
Group: Documentation
Summary: The Linux HOWTO documents translated into German.
Obsoletes: howto-translations
%description german
This package contains the Linux HOWTO documents that have been translated
into German.  Linux HOWTOs are detailed documents which describe a
specific aspect of configuring or using Linux.  

Install the howto-german package if you'd like to use the Linux HOWTOs in
German.  Please note that not all of the HOWTOs have been translated.  If
you need to have a complete set of HOWTOs, you'll need to install the
English version (the howto package).

%package french
Group: Documentation
Summary: The Linux HOWTO documents translated into French.
Obsoletes: howto-translations
%description french
This package contains the Linux HOWTO documents that have been translated 
into French.  Linux HOWTOs are detailed documents which describe a specific
aspect of configuring or using Linux.  

Install the howto-french package if you'd like to use the Linux HOWTOs in
French.  Please note that not all of the HOWTOs have been translated.  If
you need to have a complete set of HOWTOs, you'll need to install the
English version (the howto package).

%package spanish
Group: Documentation
Summary: The Linux HOWTO documents translated into Spanish.
Obsoletes: howto-translations
%description spanish
This package contains the Linux HOWTO documents that have been translated
into Spanish.  Linux HOWTOs are detailed documents which describe a
specific aspect of configuring or using Linux.

Install the howto-spanish  package if you'd like to use the Linux HOWTOs in
Spanish.  Please note that not all of the HOWTOs have been translated.  If
you need to have a complete set of HOWTOs, you'll need to install the
English version (the howto package).

%package italian
Group: Documentation
Summary: The Linux HOWTO documents translated into Italian.
Obsoletes: howto-translations
%description italian
This package contains the Linux HOWTO documents that have been translated
into Italian.  Linux HOWTOs are detailed documents which describe a
specific aspect of configuring or using Linux.

Install the howto-italian  package if you'd like to use the Linux HOWTOs in
Italian.  Please note that not all of the HOWTOs have been translated.  If
you need to have a complete set of HOWTOs, you'll need to install the
English version (the howto package).

%package polish
Group: Documentation
Summary: The Linux HOWTO documents translated into Polish.
Obsoletes: howto-translations
%description polish
This package contains the Linux HOWTO documents that have been translated
into Polish.  Linux HOWTOs are detailed documents which describe a
specific aspect of configuring or using Linux.

Install the howto-polish  package if you'd like to use the Linux HOWTOs in
Polish.  Please note that not all of the HOWTOs have been translated.  If
you need to have a complete set of HOWTOs, you'll need to install the
English version (the howto package).

%package swedish
Group: Documentation
Summary: The Linux HOWTO documents translated into Swedish.
Obsoletes: howto-translations
%description swedish
This package contains the Linux HOWTO documents that have been translated
into Swedish.  Linux HOWTOs are detailed documents which describe a
specific aspect of configuring or using Linux.

Install the howto-swedish  package if you'd like to use the Linux HOWTOs in
Swedish.  Please note that not all of the HOWTOs have been translated.  If
you need to have a complete set of HOWTOs, you'll need to install the
English version (the howto package).

%package turkish
Group: Documentation
Summary: The Linux HOWTO documents translated into Turkish.
Obsoletes: howto-translations
%description turkish
This package contains the Linux HOWTO documents that have been translated
into Turkish.  Linux HOWTOs are detailed documents which describe a
specific aspect of configuring or using Linux.

Install the howto-turkish  package if you'd like to use the Linux HOWTOs in
Turkish.  Please note that not all of the HOWTOs have been translated.  If
you need to have a complete set of HOWTOs, you'll need to install the
English version (the howto package).

%package korean
Group: Documentation
Summary: The Linux HOWTO documents translated into Korean.
Obsoletes: howto-translations
%description korean
This package contains the Linux HOWTO documents that have been
translated into Korean.  Linux HOWTOs are detailed documents which
describe a specific aspect of configuring or using Linux.

Install the howto-korean  package if you'd like to use the Linux HOWTOs in
Korean.  Please note that not all of the HOWTOs have been translated.  If
you need to have a complete set of HOWTOs, you'll need to install the
English version (the howto package).

%package japanese
Group: Documentation
Summary: The Linux HOWTO documents translated into Japanese.
Obsoletes: howto-translations
%description japanese
This package contains the Linux HOWTO documents that have been translated
into Japanese.  Linux HOWTOs are detailed documents which describe a
specific aspect of configuring or using Linux.

Install the howto-japanese  package if you'd like to use the Linux HOWTOs
in Japanese.  Please note that not all of the HOWTOs have been translated.
If you need to have a complete set of HOWTOs, you'll need to install the
English version (the howto package).

%package chinese
Group: Documentation
Summary: The Linux HOWTO documents translated into Chinese.
Obsoletes: howto-translations
%description chinese
The howto-chinese package contains the Linux HOWTO documents that have
been translated into Chinese.  Linux HOWTOs are detailed documents
describing a specific aspect of configuring or using Linux.  

Install the howto-chinese package if you'd like to use the Linux HOWTO
documentation in Chinese.  Please note that not all of the HOWTOs have
been translated.  If you need to have a complete set of HOWTOs, you'll
need to install the English version (the howto package).

%package greek
Group: Documentation
Summary: The Linux HOWTO documents translated into Greek.
Obsoletes: howto-translations
%description greek
This package contains the Linux HOWTO documents that have been translated
into Greek.  Linux HOWTOs are detailed documents which describe a specific
aspect of configuring or using Linux.  

Install the howto-greek package if you'd like to use the Linux HOWTOs in
Greek.  Please note that not all of the HOWTOs have been translated.  If
you need to have a complete set of HOWTOs, you'll need to install the
English version (the howto package).

%package indonesian
Group: Documentation
Summary: The Linux HOWTO documents translated into Indonesian.
Obsoletes: howto-translations
%description indonesian
This package contains the Linux HOWTO documents that have been translated
into Indonesian.  Linux HOWTOs are detailed documents which describe
a specific aspect of configuring or using Linux.

Install the howto-indonesian  package if you'd like to use the Linux HOWTOs
in Indonesian.  Please note that not all of the HOWTOs have been translated. 
If you need to have a complete set of HOWTOs, you'll need to install the
English version (the howto package).

%package croatian
Group: Documentation
Summary: The Linux HOWTO documents translated into Croatian.
Obsoletes: howto-translations
%description croatian
The howto-chinese package contains the Linux HOWTO documents that have
been translated into Croatian.  Linux HOWTOs are detailed documents
which describe a specific aspect of configuring or using Linux.  

Install the howto-croatian package if you'd like to use the Linux HOWTO
documentation in Croatian.  Please note that not all of the HOWTOs have
been translated.  If you need to have a complete set of HOWTOs, you'll
need to install the English version (the howto package).

%package slovenian
Group: Documentation
Summary: The Linux HOWTO documents translated into Slovenian.
Obsoletes: howto-translations
%description slovenian
This package contains the Linux HOWTO documents that have been
translated into Slovenian. Linux HOWTOs are detailed documents which
describe a specific aspect of configuring or using Linux.

Install the howto-slovenian package if you'd like to use the Linux
HOWTOs in Slovenian. Please note that not all of the HOWTOs have
been translated. If you need to have a complete set of HOWTOs, you'll
need to install the English version (the howto package).

%package serbian
Group: Documentation
Summary: The Linux HOWTO documents translated into Serbian.
Obsoletes: howto-translations
%description serbian
This package contains the Linux HOWTO documents that have been
translated into Serbian. Linux HOWTOs are detailed documents which
describe a specific aspect of configuring or using Linux.

Install the howto-serbian package if you'd like to use the
Linux HOWTOs in Serbian. Please note that not all of the 
HOWTOs have been translated. If you need to have a complete set
of HOWTOs, you'll need to install the English version (the
howto package).

%package russian
Group: Documentation
Summary: The Linux HOWTO documents translated into Russian.
Obsoletes: howto-translations
%description russian
This package contains the Linux HOWTO documents that have been
translated into Russian. Linux HOWTOs are detailed documents which
describe a specific aspect of configuring or using Linux.

Install the howto-russian package if you'd like to use the
Linux HOWTOs in Russian. Please note that not all of the 
HOWTOs have been translated. If you need to have a complete set
of HOWTOs, you'll need to install the English version (the
howto package).

%prep 
%setup -T -c
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/doc
bzcat %{SOURCE0} | tar xf - -C $RPM_BUILD_ROOT/usr/doc
bzcat %{SOURCE2} | tar xf - -C $RPM_BUILD_ROOT/usr/doc/HOWTO

%build
cd $RPM_BUILD_ROOT/usr/doc/HOWTO
rm -f mini/*.tar.gz
mv mini/other-formats/html other-formats/html/mini
mv mini/other-formats/sgml other-formats/sgml/mini
rm -rf mini/other-formats
mkdir translations/sr
ln -s sr translations/serbian
mv other-formats/*/Serbian-HOWTO* translations/sr

# all the japanese stuff is screwed up
for dir in translations/ja/html translations/ja/mini/html ; do
  pushd $dir ; {
    for file in *.tar.gz ; do
	if file $file | grep "HTML document text" ; then
	    mv $file ${file%%.tar.gz}.html
	fi
    done
  } ; popd
done

find . -type f -name "*gz" | while read f ; do
    case $f in 
	*.tar.gz | *.tgz )
	    tar -zxf $f -C $(dirname $f)
	    rm -f $f
	    ;;
	*.dvi.gz | *.ps.gz | *.pdf.gz )
	    rm -f $f
	    ;;
	*.gz )
	    gunzip -f $f
	    rm -f $f
	    ;;
	* )
	    echo "This should not happen !"
	    ;;
    esac
done

%install
cd $RPM_BUILD_ROOT/usr/doc/HOWTO
rm -f .mirror
install -m 644 -o root -g root %{SOURCE1}  other-formats/html
find . -type f | xargs chmod 644
find . -type d | xargs chmod 755
find . -type f -exec chown root.root {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/doc/HOWTO/*HOWTO
/usr/doc/HOWTO/mini
/usr/doc/HOWTO/INDEX.html
/usr/doc/HOWTO/INFO-SHEET
/usr/doc/HOWTO/META-FAQ
/usr/doc/HOWTO/README
/usr/doc/HOWTO/COPYRIGHT
/usr/doc/HOWTO/unmaintained

%files sgml
%defattr(-,root,root)
%dir /usr/doc/HOWTO
%dir /usr/doc/HOWTO/other-formats
/usr/doc/HOWTO/other-formats/sgml

%files html
%defattr(-,root,root)
%dir /usr/doc/HOWTO
%dir /usr/doc/HOWTO/other-formats
/usr/doc/HOWTO/other-formats/html

%files german
%defattr(-,root,root)
%lang(de) %dir /usr/doc/HOWTO
%lang(de) %dir /usr/doc/HOWTO/translations
%lang(de) /usr/doc/HOWTO/translations/de
%lang(de) /usr/doc/HOWTO/translations/german

%files french
%defattr(-,root,root)
%lang(fr) %dir /usr/doc/HOWTO
%lang(fr) %dir /usr/doc/HOWTO/translations
%lang(fr) /usr/doc/HOWTO/translations/fr
%lang(fr) /usr/doc/HOWTO/translations/french

%files greek
%defattr(-,root,root)
%lang(el) %dir /usr/doc/HOWTO
%lang(el) %dir /usr/doc/HOWTO/translations
%lang(el) /usr/doc/HOWTO/translations/el
%lang(el) /usr/doc/HOWTO/translations/greek

%files indonesian
%defattr(-,root,root)
%lang(id) %dir /usr/doc/HOWTO
%lang(id) %dir /usr/doc/HOWTO/translations
%lang(id) /usr/doc/HOWTO/translations/id
%lang(id) /usr/doc/HOWTO/translations/indonesian

%files italian
%defattr(-,root,root)
%lang(it) %dir /usr/doc/HOWTO
%lang(it) %dir /usr/doc/HOWTO/translations
%lang(it) /usr/doc/HOWTO/translations/it
%lang(it) /usr/doc/HOWTO/translations/italian
		
%files japanese
%defattr(-,root,root)
%lang(ja) %dir /usr/doc/HOWTO
%lang(ja) %dir /usr/doc/HOWTO/translations
%lang(ja) /usr/doc/HOWTO/translations/ja
%lang(ja) /usr/doc/HOWTO/translations/japanese

%files korean
%defattr(-,root,root)
%lang(ko) %dir /usr/doc/HOWTO
%lang(ko) %dir /usr/doc/HOWTO/translations
%lang(ko) /usr/doc/HOWTO/translations/ko
%lang(ko) /usr/doc/HOWTO/translations/korean

%files polish
%defattr(-,root,root)
%lang(pl) %dir /usr/doc/HOWTO
%lang(pl) %dir /usr/doc/HOWTO/translations
%lang(pl) /usr/doc/HOWTO/translations/pl
%lang(pl) /usr/doc/HOWTO/translations/polish

%files spanish
%defattr(-,root,root)
%lang(es) %dir /usr/doc/HOWTO
%lang(es) %dir /usr/doc/HOWTO/translations
%lang(es) /usr/doc/HOWTO/translations/es
%lang(es) /usr/doc/HOWTO/translations/spanish

%files swedish
%defattr(-,root,root)
%lang(sv) %dir /usr/doc/HOWTO
%lang(sv) %dir /usr/doc/HOWTO/translations
%lang(sv) /usr/doc/HOWTO/translations/sv
%lang(sv) /usr/doc/HOWTO/translations/swedish

%files turkish
%defattr(-,root,root)
%lang(tr) %dir /usr/doc/HOWTO
%lang(tr) %dir /usr/doc/HOWTO/translations
%lang(tr) /usr/doc/HOWTO/translations/tr
%lang(tr) /usr/doc/HOWTO/translations/turkish

%files chinese
%defattr(-,root,root)
%lang(zh) %dir /usr/doc/HOWTO
%lang(zh) %dir /usr/doc/HOWTO/translations
%lang(zh) /usr/doc/HOWTO/translations/zh
%lang(zh) /usr/doc/HOWTO/translations/chinese

%files croatian
%defattr(-,root,root)
%lang(hr) %dir /usr/doc/HOWTO
%lang(hr) %dir /usr/doc/HOWTO/translations
%lang(hr) /usr/doc/HOWTO/translations/hr
%lang(hr) /usr/doc/HOWTO/translations/croatian

%files slovenian
%defattr(-,root,root)
%lang(sl) %dir /usr/doc/HOWTO
%lang(sl) %dir /usr/doc/HOWTO/translations
%lang(sl) /usr/doc/HOWTO/translations/sl
%lang(sl) /usr/doc/HOWTO/translations/slovenian

%files serbian
%defattr(-,root,root)
%lang(sr) %dir /usr/doc/HOWTO
%lang(sr) %dir /usr/doc/HOWTO/translations
%lang(sr) /usr/doc/HOWTO/translations/sr
%lang(sr) /usr/doc/HOWTO/translations/serbian

%files russian
%defattr(-,root,root)
%lang(ru) %dir /usr/doc/HOWTO
%lang(ru) %dir /usr/doc/HOWTO/translations
%lang(ru) /usr/doc/HOWTO/translations/ru
%lang(ru) /usr/doc/HOWTO/translations/russian

%changelog
* Mon Sep 20 1999 Cristian Gafton <gafton@redhat.com>
- updated archive from LDP mirror.
- add russian howtos

* Tue Mar 23 1999 Bill Nottingham <notting@redhat.com>
- no <BASE HREF...> in howto-index.html

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Tue Jan 26 1999 Cristian Gafton <gafton@redhat.com>
- updated howtos
- marked translations with %lang(XX)
- get rid of pdf, ps and dvi formats

* Thu Oct 01 1998 Cristian Gafton <gafton@redhat.com>
- added the Serbian Howtos

* Thu Sep 10 1998 Cristian Gafton <gafton@redhat.com>
- updated archive
- added croatian and slovenian subpackages

* Wed Apr 15 1998 Cristian Gafton <gafton@redhat.com>
- updated archive
- subpackages for each language

* Fri Oct 24 1997 Otto Hammersmith <otto@redhat.com>
- fixed missing HOWTOs because the download ran out of space
- added an index html page for the howto-html package

* Thu Oct 23 1997 Otto Hammersmith <otto@redhat.com>
- untarred the html tarballs to obsolete the ldp package

* Wed Oct 22 1997 Otto Hammersmith <otto@redhat.com>
- updated version
- fixed description for the right date

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- made a noarch package

* Sat Apr 19 1997 Otto Hammersmith <otto@redhat.com>
- Updated to more recent HOWTOs.
- In the next major version, /usr/doc really ought to be cleaned out.
  Right now, the ldp and howto packages overlap somewhat. (HTML docs,
  the former, however, only has tar.gz files)
  I didn't want to rearrange too much for 4.2, and there are other
  documentation issues such as /usr/info.

